Introduction

ImageConverter Plus is a powerful tool for viewing, editing, printing and converting graphic files.

ImageConverter Plus consists of 4 components:

  • image converter;
  • polydocument graphics editor;
  • printing manager;
  • Windows Explorer shell extension.

Image Converter is able to process great number of graphic files without users participation. Add files and folders to list, check settings and press Go button - all the rest will be done automatically. <more...>

Graphics editor allows to read and process graphic files in supported formats and save and/or print the outcomes. <more...>

Print manager (PhotoPrint) is the best utility for creating and printing large pictures and photos catalogues. Working with great number of pictures is simplified and visualized whenever you position images on page and print. You can work with many images as with one project, and it allows to avoid everyday routine work with the same images when you need to alter pages to print. The program was created using experience of specialists everyday creating large image and photo catalogues. <more...>

Windows Explorer shell extension allows to view graphic files without opening them in graphics editor, get full information about graphic files, convert, copy to clipboard and print with one mouse click <more...>

ImageConverter Plus reads 27 and saves to 16 graphic formats <more...>


What's new in this version
  • new graphics engine, works faster, supports more image formats;
  • full version of PhotoPrint is added to installation.
Image Converter:
  • totally redesigned settings interface;
  • possibility to add and delete files for conversion;
  • thumbnail preview of files for conversion;
  • full control over conversion process.
Shell:
  • works faster due to new graphics engine;
  • fixed bug preventing image from opening in ImageEditor after click on thumbnail in Windows Explorer context menu under Windows NT4.
ImageEditor:
  • redesigned interface;
  • added "select mode" and operations with selected area - copy and crop;
  • redesigned Open Image and Save Image dialogues;
  • added gamma correction and autocontrast;
  • added some graphic filters;
  • added optional image files association with ImageEditor;
  • added multipage files viewing as a slide show;
  • fixed minor bugs occurring under Windows 9x.


ImageConverter Overview

Image Converter is able to process great number of graphic files without users participation. Add files and folders to list, check settings and press Go button - all the rest will be done automatically.

Various settings allow to carry out almost all possible variants of conversion and file modifications.


Script

There are a lot of settings involved when you are converting graphic files. fCoder Group offers a new way of adjusting settings - a hypertext script containing settings themselves as well as explanation of each setting.

Script window contains user-friendly description of file modification process. This script will be applied to each file you've added to the program.

To change setting click on blue text.


Working with script

Script settings are managed through hypertext links. Click on any hyperlink (underlined blue text) and you'll see context menu or dialog with parameters.

All available settings can be in two modes - active and inactive.

Active settings are displayed as black text and blue links. Parameters can be modified.

Inactive settings are displayed as gray strikeout text.

Settings become inactive when previous settings make this setting impossible. Below you can see example of inactive setting:

Dithering and quantization are inactive because this settings can't be applied to Bitmap files with 24 bpp color depth.

Below you can see the same setting, but now it is active:

Dithering and quantization are active because this settings can be applied to Bitmap files with 8 bpp color depth.


Settings group

All script settings can be divided into 3 groups:

I - file modification settings;

II - format settings;

III - miscellaneous settings.


File modification settings

This group of settings unites all available operations that can be applied to image files. At first launch of the program this groups has only one hyperlink. It calls menu where you can select operation you need.

Selected operation will be added to the script and you'll be able to set parameters you need. You may add any number of operations.

Note!
Operations you add will be applied to file in the order they are listed in the script.

You can change the operations order using <menu> link.

Select Move Up or Move Down to change order. You can also delete previously added operation using this menu.


Cut out

This option allows you to cut out margins or a part of an image.

There are two possible variants of using this option. You may:

  • crop image margins
  • cut out a rectangle from a larger image.


Rotation

Use this option to rotate image at specified angle to specified direction. If angle is not divisible by 90 degrees, background will be filled with specified color.

Possible settings:
  • Angle - from 0 to 365 degrees to within 0.1
  • Direction - clockwise, nonclockwise
  • Background color - user defined


Zoom

Use this option when you need to change image size. ImageConverter uses two different stretch methods.

Possible settings:
  • Desirable image size: user defined
  • Keeping of original image proportions: Yes/No
  • Used zoom method: Bilinear interpolation/Delete pixels


Mirror

Use this option when you need to mirror original image.

Possible settings:
  • Mirror image: horizontally/vertically.

If you need to mirror image both vertically and horizontally add this operation twice and define to different directions.


Effect

This setting allows you to apply any of seven effects to image.

Effects:
  • Blur
  • Sharpen
  • Emboss
  • Water color
  • Smoothing noise
  • Maximum
  • Minimum

Note!
Sometimes it is necessary to apply one an the same effect to one image several times. In such case just add this effect to the script as many times as needed.


Convert to grayscale

Use this option to convert image to grayscale palette.


Format settings

This group of settings unites all settings for selected format. You can select format by clicking on link with format name. A menu will appear, select there format you want to convert your files to.

Format icons depends what programs have association with each format.

If you select other format script will change. Note that the whole script, all three settings groups, is associated with format.

For example if you have selected BMP format and added rotation and zoom to the script, when you select another format, for example JPEG, script wouldn't contain rotation and zoom. If you select BMP again, rotation and zoom will be back.

You can read more about format settings at Save As part of this help.


GIF

Possible settings:
  • Number of colors: from 2 to 256
  • Quantization: 1-8
  • Dithering: yes/no
  • Create interlaced file: yes/no
  • Save as one multipage file: yes/no
  • Multipage file name: user defined
  • Image resolution: 10-64000 dpi


WBMP

Possible settings:
  • Quantization: 1-8
  • Dithering: yes/no


DCX

Possible settings:
  • Color depth: 1, 4, 8, 24 bpp
  • Quantization: 1-8
  • Dithering: Yes/No
  • Save as one multipage file: yes/no
  • Multipage file name: user defined
  • Image resolution: 10-64000 dpi


PCX

Possible settings:
  • Color depth: 1, 4, 8, 24 bpp
  • Quantization: 1-8
  • Dithering: yes/no
  • Image resolution: 10-64000 dpi


TGA

Possible settings:
  • Color depth: 8, 15, 16, 24, 32 bpp
  • Quantization: 1-8
  • Dithering: yes/no
  • Image resolution: 10-64000 dpi


JPEG

Possible settings:
  • Color depth: 8, 24 bpp
  • Quantization: 1-8
  • Dithering: yes/no
  • Compression quality: 1-100%
  • Image resolution: 10-64000 dpi


TIFF

Possible settings:
  • Color depth: 1, 8, 24 bpp
  • Quantization: 1-8
  • Dithering: yes/no
  • Compression type: NONE, CCITT RLE, CCITT Fax3, CCITT Fax4, LZW, JPEG, CCITT RLEW, PACKBITS
  • Save as one multipage file: yes/no
  • Multipage file name: user defined
  • Structure: singlestrip/multistrip
  • Image resolution: 10-64000 dpi


BMP

Possible settings:
  • Color depth: 1, 4, 8, 16, 24, 32 bpp
  • Quantization: 1-8
  • Dithering: Yes/No
  • Image resolutions: 10-64000 dpi


Misc settings

This group of settings contains target folder settings and some setting that can make your work comfortable.

Possible settings:
  • Target folder: user defined.
    Here you can select between My Documents, Windows Temp, source folder or specify some other folder.
  • Convert with subfolders: Yes/No
  • Restore subfolder structure in target folder: Yes/No
  • Save each page of multipage file separately: Yes/No
  • Create target file name according to template: user defined
  • If file already exists: rename new file/overwrite existing file.
    Note! Sometimes during conversion in target folder may appear files with the same file name and extension. If you chose here to overwrite existing file you may lose one of them. For example you want to convert files image.gif and image.bmp to JPEG. As a result you'll get 2 files image.jpg in one folder. In order not to lose one of these files you'd better select rename new file.
  • Open target folder after conversion: Yes/No
  • Create log file in target folder: Yes/No


Files Tab

This tab contains a treelike list of all files to be converted. List is displayed as file folders tree. Tree structure is identical to files and folders location on disk. You may edit this list - add and delete files and folders. You may also preview any file added to the list as a thumbnail. Additionally you may set root folder.


Preview

Right part of Files tab is a thumbnail preview. Select any image added to the list for conversion and you'll see it's preview here.

Note. If you are trying to preview a very large image, it's loading may take some time and you'll see a progress bar indicating loading process and time left.


Delete files and folders from list

You may delete files and folder from the list. To do it select file or folder in list tree.

And press Delete button.


Open files and folders from list

You may open file or folder. To do it select file or folder and press button Open in shell.

If you have selected file the program will open this file in application associated with this file type. This action is identical to double click on this file in Windows Explorer. If no program is associated with this file type in system, file will not be open. If you have selected folder, this folder will be opened in new Windows Explorer window.


Add File

To add files to the list press button Add Files.

An open file dialog window will pop-up.

You may browse through local network folders while looking for files you need.

You'll also see a thumbnail preview of selected file.

Files in all supported formats are shown automatically.

You may filter files. Only files in selected format will be visible.

Select one or several files and press button OK and files will be added to the list.


Add folder

Press button "Add Folder"

An open folder dialog will pop up.

Select local or network folder and press OK button. Selected folder will be added to the list. All files and subfolders in this folder will be added as well.


File Tree

File tree contains listing of all file you added for conversion. Files and folders are displayed with subfolders structure. Program will convert only files you added to this list.


Set a root folder

Folders can have two states.

First is a simple folder:

Second - root folder and it's subfolders:

Root folder is used for reproduction of directory structure in destination folder.

To set root folder:

  • right click on any folder;
  • select "Set as root folder" in context menu.

Selected folder will become root folder.

Example:

Let's say that you have a deep nested folder structure with images. Images themselves are only in 3rd level subfolders. When you add these images to tree, the program doesn't know from what folder to start reproducing folder structure. Obviously there is no sense in reproducing the full path starting from disk D:, you may set folder of 3rd level as a root folder and all upper structure will be ignored.


Folder settings

The way files and folders are treated depends on settings.

There can be cases when some files from the list can't be converted. For example if you set "convert with subfolders - no" only files from root folder will be converted.

If you set "restore subfolder structure in target folder - yes" all folders starting form root folder will be restored in target folder.

If you set "save as one multipage file - yes" and "restore subfolder structure - no", all files from all selected subfolders will be saves as one multipage file.


Main Buttons

ImageConverter windows has four main button located at it's bottom.


Options

Menu Options contains additional settings and information about the program.


Save script to file

ImageConverter plus allows you save your script settings into file. It can be useful when you need to convert files into one format with different settings.


Load script from disk

Load previously saved script.

Use this option when you need to load saved script (a set of settings for a certain format).


Load default settings

This option is used to load default settings for selected format. It can be extremely useful if you have been heavily using the program and got confused in settings.

Use Ctrl+D keyboard shortcut for quick loading.


About

This button calls dialog with information about program version, developers and registration or limitations of use.


Go! >>

This is the main button in the program. Press this button to start conversion of files added to the list. If no files are added to the list this button is disabled.

This button changes it's function depending on program status:

this button starts conversion.

this button stops conversion process. It appears only during the conversion process.

this button brings user back to script editing after conversion. It appears only after the conversion process.


Exit

Click on this button to close the program at any time.


Help

Calls program help file. Read the program Help to learn more about the program features.


Overview

ImageEditor Overview

Graphics editor allows to read and process graphic files in supported formats and save and/or print the outcomes.


File Associations

You can associate supported image file formats with ImageEditor Plus to provide quick access to these files. If you double click on file in associated format it will open in ImageEditor Plus. Icons of associated files will be changed to ImageEditor Plus icon.

There are two ways to associate file types with ImageEditor Plus. First - during the installation procedure, second - manually from menu File.

During uninstallation file association will be recovered (i.e. changed to associations as they were before the program was installed).


Open Image

Press [image] button to open one or several images for viewing or editing.
Select one or several files in opened dialog.
If you select one file the program will display information about file and image and it's thumbnail preview. If you select animated GIF or cursor, thumbnail preview will be animated as well.
If you select several files the program will display number of selected files.


Lauch ImageConverter

Launch ImageConverter

You can launch batch image conversion from toolbar by pressing [image] button.

Refer to Image Converter section for details.


Printing

Press [image] button on toolbar to print image.

Use "Print Setup" command from menu File to change printer settings.

Use "Print Preview" command from menu File to view print preview and settings for selected printer.

You can also use PhotoPrint for printing. Read more...


Copy to Clipboard

To copy active document to clipboard:

  • Switch to "Select Mode" using "Select cursor mode" button on toolbar:
  • Select part of image you want to copy or press "Ctrl+A" to select the whole image
  • Press [image] button


Paste from Clipboard

To paste image from clipboard press [image] button on toolbar.
This button is available only if chipboard contains image data.


Zoom

Use [image] button on toolbar to change image zoom when you view or edit image. Press and hold it. A drop-down menu with zoom values will appear. Select desirable value. A check mark will appear near selected zoom value.


Background Color

Background color is used in ImageEditor Plus to fill transparent areas on image and empty space on editors workspace.
Press [image] button on toolbar to select background color.


Display modes

Three display modes are available in ImageEditor Plus.

  • Normal mode
  • Full Window mode - proportionally scales image to fit into the program window. This mode is useful when working with large images.
  • Full Screen mode - displays image at full screen removing the program menu and toolbar. This mode can be used only for viewing images. Image is displayed according to selected zoom value

To switch to Full Screen or Full Window mode use [image] button on toolbar.


Lens

Lens mode is to be used when you need to view some parts of image in details. When you are viewing large image, you can make it smaller to fit working space and view parts of it using lens mode.

Use [image] button on toolbar to change lens size and zoom value.


Crop

To crop image:

  • switch to "Select Mode" on toolbar:
  • select image area you need
  • press [image] button on toolbar


Stretch

Press [image] button on toolbar to change image size.

A dialog will appear. Select size of resulting image in pixels and stretch algorithm. Check "Constrain Proportions" checkbox and when you change image width or height, the other parameter will change to keep proportions:


Mirror

Press [image] button on toolbar to mirror image horizontally, vertically or both horizontally and vertically.


Rotate

Press [image] button on toolbar to rotate image and select rotation angle.

You can select one of default angles (45°, 90°, 135°, ... ) or press "Custom" and select angle you need:


Enhance colors

To correct colors of active image press [image] button on toolbar.

You can convert image to Grayscale palette, apply Negative or Autocontrast effects, or enhance colors:


Graphic Filters

Press [image] button on toolbar to apply graphic filter to active image. Below you can see examples of filters:

Source Image

Blur

Sharpen

Emboss

Water Color

Smoothing Noise

Maximum

Minimum


Save Image Dialog Overview

You can save an active document to any format with write support.
Press [image] button on toolbar or user "File=>Save" menu command, select format to save image to, change settings if needed, and press "Save" button.


Save As Windows Bitmap

BMP (Windows Bitmap Format) is the simplest graphic format for storing multicolor and palette raster images. Data is stored "as is", i.e. without compression and but also without image fault. This format is supported by all graphics viewers and editors.
This format can be also interesting for those who'd like to create a program for image analyzing and processing. Windows Bitmap is far easier to read then, for example TIFF or JPEG.

Color depth

You can save active image into Windows Bitmap format with the following color depth values: 1, 4, 8, 16 (two different data storing schemes), 24 and 32 bits per pixel (BPP). If you select 1 bpp image will be converted into back and white mode.

Use dithering

If this option is ON dithering will be applied to images that contain more colors then specified by Color depth parameter. This option is available only if Color depth value is less or equal to 8 BPP. For more info see Dithering topic.

Convert to grayscale

If you turn this option ON, image will be converted to grayscale palette.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.


Save As GIF

GIF (Graphics Interchange Format) is good for keeping and publishing in the Internet color and grayscale palette raster images. GIF images are commonly used for WEB-site design elements - buttons, menus, banners, etc.
Data is saved using LZW compression, that allows to make file several times smaller compared to Bitmap format. GIF files hardly can be compressed by archive programs (as WinZip for example) because they are already compressed.
GIF format is supported by all graphics viewers and editors of medium and high level and also by web-browsers.

Palette Colors number

As GIF format supports only images containing the pallet (limited set of colors), these images can contain maximum 256 different colors. Possible values range is from 2 to 256.
As color in file is coded by whole numbers of bits, the file size is influenced by the number of bits necessary for displaying the number of colors you specify. To code two colors one bit is enough (0 or 1), two bits are enough for coding 4 colors, 3- for 8 colors, etc.. Thus, if you specify 200 colors instead of 256, it won't influence the file size. It does make sense to specify number of colors equal to 2 power: 2, 4, 8, 16, 32, 64, 128 or 256.

Use dithering

If this option is ON dithering will be applied to images that contain more then 256 colors. For more info see Dithering topic.

Convert to grayscale

If you turn this option ON, image will be converted to grayscale palette.

Interlaced mode

GIF format supports Interlaced mode. Image is saved so that when it is read the string of image are read not sequentially but with some intervals. This is very useful when image is downloaded from the Internet at a slow connection. Image is displayed in rough variant at first, and then is becoming better.
If this option is ON the image will be saved using the Interlaced mode. It can be useful if you are going to publish images in the Internet.

Save only current page

When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either all frames in one file or just frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise all frames of multipage file will be saved to multipage file in this format.

Minimize file size

If this option is ON, file will contain a global palette and interframe interpolation will be applied to multipage file. I. e. recurring parts of neighboring frames will be deleted. Interframe interpolation of multipage GIF files allows to greatly reduce files size (up to 10 time or more, depending on file contents).
If this option is OFF, GIF file will contain only local palettes for each frame and interframe interpolation won't be applied.


Save As JPEG

JPEG (Joint Photographic Experts Group Format) is good for publishing in the Internet multicolor and grayscale photo-like raster images. Image is compressed, compression is made with quality loss. The higher is compression (i.e. the smaller file), the worse image quality. But for medium compression level image in JPEG format in most cases will be of decent quality while file size will be several times less then in Bitmap format. Small file size allows its quick loading in web-browser.
JPEG format is supported by all graphics viewers and editors of medium and high level and also by web browsers.

Color depth

You can save an active image into JPEG format with the following color depth values: 8, 24 and 32 bits per pixel.

Convert to grayscale

If you turn this option ON, image will be converted to grayscale palette.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.

Quality

JPEG files can be saved with different quality values. The larger value, the better quality. But correspondingly the larger file size.
Possible values are from 1 to 99.


Save As PCX

ZSoft Paintbrush PCX - this format is used for storing color raster images as well as black and white faxes. Data is stored using Run Length Encoding (RLE) compression. This compression method is far less effective then, for instance JPEG or LZW methods used in JPEG, TIFF or GIF formats.

Color depth

You can save active image into PCX format with the color depth values: 1, 4, 8 and 24 bits per pixel (BPP). If you select 1 BPP image will be converted into back and white palette.

Use dithering

If this option is ON dithering will be applied to images that contain more colors then specified by Color depth parameter. This option is available only if Color depth value is less or equal to 8 BPP. For more info see Dithering topic.

Convert to grayscale

If this option is ON, image will be converted to grayscale palette.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.


Save As DCX

ZSoft Paintbrush DCX format is similar to ZSoft Paintbrush PCX format except for supporting multipage mode (saving several image into one file).

Color depth

You can save active image into DCX format with the following color depth values: 1, 4, 8 and 24 bits per pixel (BPP). If you select 1 bpp image will be converted into back and white palette.

Use dithering

If this option is ON dithering will be applied to images that contain more colors then specified by Color depth parameter. This option is available only if Color depth value is less or equal to 8 BPP. For more info see Dithering topic.

Convert to grayscale

If you turn this option ON, image will be converted to grayscale palette.

Save only current page

When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either all frames in one file or just frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise all frames of multipage file will be saved to multipage file in this format.


Save As PBM

PBM format contains black and white raster images.

Use dithering

If this option is ON dithering will be applied to color and grayscale images before converting them into black and white palette. For more info see Dithering topic.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.

Raw data

If this option is ON file will be saved in binary mode, if it is OFF file will be saved in ASCII mode.


Save As PGM

PGM format contains grayscale raster images.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.

Raw data

If this option is ON file will be saved in binary mode, if it is OFF file will be saved in ASCII mode.


Save As PPM

PPM format contains true color raster images.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.

Convert to grayscale

If you turn this option ON, image will be converted to grayscale palette.

Raw data

If this option is ON file will be saved in binary mode, if it is OFF file will be saved in ASCII mode.


Save As TIFF

TIFF (Tag Image File Format) is optimum for storing professional quality raster images, faxes and scanned texts. TIFF format is capable to store true color, palette and black and white images. File can contain from one to virtually unlimited number of images (pages). Data can be either kept without compression or compressed with several different methods. The best compression method for true-color images is JPEG, for palette images - LZW, for black and white images (faxes, etc.) - CCITT Group 4. They provide minimum image size without image fault.
TIFF format is supported by all graphics viewers and editors of medium and high level.

Color depth

You can save active image into TIFF format with the following color depth values: 1, 8, and 24 bits per pixel (BPP). If you select 1 bpp image will be convert into back and white palette. Not all compression methods (see below) are available simultaneously for different color depth values.

Use dithering

If this option is ON dithering will be applied to images that contain more colors then specified by Color depth parameter. This option is available only if Color depth value is less or equal to 8 BPP. For more info see Dithering topic.

Convert to grayscale

If you turn this option ON, image will be converted to grayscale palette.

Save only current page

When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either all frames in one file or just frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise all frames of multipage file will be saved to multipage file in this format.

Stripped

Select here between singlestrip (solid) and multistrip TIFF file.

Compression mode

TIFF file data compression method. You can select one of the following: NONE, CCITT RLE, CCITT FAX3, CCITT FAX4, LZW, JPEG, CCITT RLEW, PACKBITS.
If you select JPEG compression method you also need to specify JPEG quality. Below you can see table of correspondence between Compression method and Color depth value.

Compression method | Color depth value
 | 1 bpp | 8 bpp | 24 bpp
None | + | + | +
CCITT RLE | + | - | -
CCITT Fax Mode 3 | + | - | -
CCITT Fax Mode 4 | + | - | -
LZW | + | + | +
JPEG | - | + | +
CCITT RLE | + | - | -
PackBit | + | + | +


Save As PNG

PNG is short for Portable Network Graphics, and pronounced ping, a raster graphics format similar to GIF.
In fact, PNG was approved as a standard by the World Wide Web consortium to replace GIF because GIF uses a patented data compression algorithm called LZW. In contrast, PNG is completely patent- and license-free.
The most recent versions of Netscape Navigator and Microsoft Internet Explorer now support PNG.

Color depth

You can save active image into PNG format with the following color depth values: 1, 8, 24 and 32 bits per pixel (BPP). If you select 1 bpp image will be converted into back and white palette.

Use dithering

If this option is ON dithering will be applied to images that contain more colors then specified by Color depth parameter. This option is available only if Color depth value is less or equal to 8 BPP. For more info see Dithering article.

Convert to grayscale

If you turn this option ON, image will be converted to grayscale palette.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.


Save As PSD

PSD is Adobe Photoshop format for storing raster images. ImageEditor Plus can save images into PSD format only in true color mode.

RLE

If you turn this option ON, image data will be compressed using Run Length Encoding (RLE) algorithm.

Convert to grayscale

If you turn this option ON, image will be converted to grayscale palette.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.


Save As WMF

WMF - Windows metafiles format. It is used for storing vector and raster images.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.


Save As APM

APM, Aldus Placeable metafiles format, is a WMF format, with header containing file parameters description (size and resolution) added.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.


Save As EMF

EMF - Enhanced metafiles format. Enhanced version of WMF graphics format.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.


Save As TGA

The success of the TGA (Truevision Targa Format) for storing raster color images can be attributed to its ease of use, the small amount of program memory needed to parse the file, and the fact that it was the first true-color file format widely available.

Color depth

You can save active image into TIFF format with the following color depth values: 8, 15, 16, 24 and 32 bits per pixel (BPP).

Use dithering

If this option is ON dithering will be applied to images that contain more colors then specified by Color depth parameter. This option is available only if Color depth value is equal to 8 BPP. For more info see Dithering topic.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.


Save As Wireless Bitmap

WBMP, Wireless Bitmap, is a raster graphic format optimized for mobile computing devices. WBMP is a part of the Wireless Application Protocol, Wireless Application Environment Specification.
ImageEditor Plus saves images only into Wireless BitMap version 1.0. Wireless BitMap version 1.0 supports black and white images.

Use dithering

If this option is ON dithering will be applied to color and grayscale images for converting then into black and white images. For more info see Dithering topic.

Save only current page

This format has no multipage support, i.e. you can't create multipage file. When you save multipage file (for example animated GIF or multipage TIFF) to this format you can save either first frame or frame that is currently active in the program.
If this option is ON, active frame will be saved, otherwise first frame of multipage file will be saved.


Data Types

There are tree types of storing data in graphic files:

  • Raster graphics. Raster graphics are digital images created or captured (for example, by scanner in a photo) as a set of samples of a given space. A raster is a grid of x and y coordinates on a display space. (And for three-dimensional images, a z coordinate.) A raster image file identifies which of these coordinates to illuminate in monochrome or color values. The raster file is sometimes referred to as a bitmap because it contains information that is directly mapped to the display grid.
    A raster file is usually larger than a vector graphics image file. A raster file is usually difficult to modify without loss of information, although there are software tools that can convert a raster file into a vector file for refinement and changes. Examples of raster image file types are: BMP, TIFF, GIF, and JPEG files. (Definition taken from http://www.whatis.com/)
  • Vector graphics. Vector graphics is the creation of digital images through a sequence of commands or mathematical statements that place lines and shapes in a given two-dimensional or three-dimensional space. In physics, a vector is a representation of both a quantity and a direction at the same time. In vector graphics, the file that results from a graphic artist's work is created and saved as a sequence of vector statements. For example, instead of containing a bit in the file for each bit of a line drawing, a vector graphic file describes a series of points to be connected. One result is a much smaller file. (Definition taken from http://www.whatis.com/)
  • Metafile. Combination of first two types. Metafile is a vector format that has a raster image as one of primitive elements.


Dithering

Dithering is a technique of color substitution by "mixing" dots of available colors. From variety of existing dithering methods ImageConverter Plus uses one of the most qualitative: Diffusion Dither conversion method. Example below illustrates Dithering. At this image you can see difference between images saved with and without applying dithering.

Source true color image | Converted to 1 BPP
 | without dithering | with dithering


PhotoPrint Overview

PhotoPrint is the best utility for creating and printing large pictures and photos catalogues. Working with great number of pictures is simplified and visualized whenever you position images on page and print. You can work with many images as with one project, and it allows to avoid everyday routine work with the same images when you need to alter pages to print. The program was created using experience of specialists everyday creating large image and photo catalogues.

Getting started
You'd better start working in graphic mode, so you'll learn all program functions. Working from command line is more convenient for advanced users.


Align and Distribute window

Images align and images and/or page borders spaces are defined with the help of this window. This window works if AutoArrange mode is off. You can call it with key pattern Ctrl+A.
Window is divided into two bookmarks:
Align

Top - align top edges of selected images by top edge of last selected image
Center - align horizontal (vertical) centers of selected images by center of last selected image
Bottom - align bottom edges of selected images by bottom edge of last selected image
Left - align left edges of selected images by left edge of last selected image
Right - align right edges of selected images by right edge of last selected image
------------------------------
Page edge - align selected images by page edges
Page center - align selected images by page center

Distribute

Top - make spaces between top edges of selected images even. Originally top and bottom selected images do not change their positions.
Center - make spaces between horizontal/vertical centers of selected images even. Originally top and bottom selected images do not change their positions.
Spacing - make spaces between horizontal/vertical edges of selected images even. Originally top and bottom (left and right) selected images do not change their positions.
Bottom - make spaces between bottom edges of selected images even. Originally top and bottom selected images do not change their positions.
Left - make spaces between left edges of selected images even. Originally left and right selected images do not change their positions.
Right - make spaces between right edges of selected images even. Originally left and right selected images do not change their positions.
------------------------------
Extent of selection - define all spaces by selected images
Extent of page - anchor top and bottom (left and right) selected images to corresponding page edges


AutoArrange window

Parameters of images amount and images (framing) align at page are set in this window. If AutoArrange mode is on, these parameters are valid for all pages of the project.

------------------------------------------------------------------
Pages (available only if AutoArrange mode is on) - set pages range where defined parameters will be used
From: - start page
To: - end page
All Pages - for all pages of project (cancels above range)
Insert pages if necessary - if this item is checked, then pages are inserted into project if it is necessary
------------------------------------------------------------------
Arrange - amount of images positioning on page and spaces between their framings
Horizontal - amount of images at horizontal
Vertical - amount of images at vertical
Space - space between images in millimeters
------------------------------------------------------------------
Buttons OK and Cancel are confirming or canceling set of parameters.


Parameters

/B:type,color,t,dx,dy -- BORDERS
type -- type (hex) [set number abcdefg, where a - right bottom , b - right top , c - left bottom, d - left top, e - bottom, f -middle, g - top]
a,b,c,d,e,f,g can have 16-digit value from 0-d corresponding the line type
color -- color (hex/name)
t -- thickness (1 == 0.1 mm)
dx -- space from borders by horizontal (1 == 0.1 mm)
dy -- space from borders by vertical (1 == 0.1 mm)

any parameter(s) can be omitted

/S:dx,dy,color -- SHADOW
dx -- dx offset of shadow (negative -- to left; 1 == 0.1 mm)
dy -- dy offset of shadow (negative -- to up; 1 == 0.1 mm)
color -- color of shadow (hex/name)

any parameter(s) can be omitted

/M:l,t,r,b,h,f -- MARGINGS
l -- left (1 == 1 mm)
t -- top (1 == 1 mm)
r -- right (1 == 1 mm)
b -- bottom (1 == 1 mm)
h -- header (1 == 1 mm)
f -- footer (1 == 1 mm)

any parameter(s) can be omitted

/A:n,m,dx,dy -- AUTO ARRANGE
n (3) -- images by horizontal
m (4) -- images by vertical
dx -- horizontal space between images (1 == 1 mm)
dy -- vertical space between images (1 == 1 mm)

any parameter(s) can be omitted

/def:pname -- LOAD SETTINGS FROM PROJECT pname AS DEFAULT
pname -- project name

/H:"Left;Center;Right" -- HEADERS
Left -- left part of header
Center -- center part of header
Right -- Right part of header

any parameter(s) can be omitted

/F:"Left;Center;Right" -- FOOTERS
Left -- left part of footer
Center -- center part of footer
Right -- Right part of footer

any parameter(s) can be omitted

/p -- PRINT
If this parameter present /A must also be present (or will default)

<filename,...>

if <filename(s)> is image file it will be added to new project
if <filename> is a folder that all images in it (and in subfolders) will be added to new project
if <filename> is a project file that this file will be opened (or printed)
if <filename> starts from '@' it must be a text file with images list


How to use?

You can achieve the following aims using PhotoPrint from command line:

Print already prepared project

Open a project

Open program with images (put list of images into text file)

PhotoPrint [options] <filename(s), ...>


Overview

Command Line Overview

Program can be used from the command line as well.

The question is - what for?
There can be several answers:
You need to print already prepared project.
You need just to open an existing project from the command line.

How to launch program from command line?
photoprint.exe [options] <filename(s), ...>
You'll find list of parameters in topic parameters
and ways of using in topic command line -> Ways of using


Graphic mode Overview

In the graphic mode of working with the project all actions are visualized.
Program window contains pages with images and:

project inspector,

toolbars

menu

Status Bar (can be found in the right bottom window corner)

Right mouse click activates context menu. Its content depends on current state of a project, selected images and cursor position.

After project is started the program window contains one empty page and project inspector with that page Page 1 and virtual page Not Arranged.
It is necessary to mention that AutoArrange mode (automatic image positioning on page) is default for all modes.


Project Inspector

The program can be used without project inspector as well. Although experience proved that it extends project managing possibilities, taking not much space of program window.

In project inspector are displayed all project images placed according to their positioning on the pages. These pages are displayed in order: Page#, where # - a serial number. There is also one virtual page (Not Arranged), containing images, which can be used in project, but not placed to any page yet.

In AutoArrange mode number of pages depends on number of images on a page. Spare pages are automatically deleted, and page Not Arranged remains empty.


Menu

Menu is displayed at the top of program window.

Menu items:
File

New Project - create a new project
Open Project - open an existing project
Save project - save current project with given name
Save project as ... - save current project with new name
Add image(s) ... - add image(s) to project
Print - print a project
Export as Image(s)... - export project page(s) as graphic files
(All these actions are also available from Standard Toolbar)

List last used projects

Exit - exit the program

Edit

Select All - select all project images
Insert Page - insert a new page in project (available only when using a project inspector and if AutoArrange mode is off)
Remove Page - delete page selected in a project inspector (if AutoArrange mode is off)
Remove Image from Page - delete selected image from a page, it is moved to Not Arranged page (if AutoArrange mode is on, image is automatically moved to the end of last page, and all images before it move one position top or left)
Remove Image from Project - delete selected image from project
(All these actions are also available from toolbar)
Options... - activate Option

View

Standard Toolbar - Standard Toolbar is displayed in program window if this item is checked
Arrange & Layout Toolbar - Arrange & Layout Toolbar is displayed in program window if this item is checked
Status Bar - Status Bar is displayed in the right bottom corner of program window if this item is checked

Project Inspector - Project Inspector is displayed in program window if this item is checked

Full Screen - extend program window to all available visible screen area

Layout

Align - align selected images (duplicates some possibilities of window Align and Distribute...). Is not available if AutoArrange mode is off
Space Even - selected images have equal spaces horizontally and vertically (duplicates possibility of window Align and Distribute..)
Make Same Size - make size(s) of selected images same as size(s) of last selected image
Size to Content - make framing size closer to image size
Align and Distribute... - call window Align and Distribute...
Arrange - call window Arrange
Page Layout - chose program window page layout.


Context menu

You can access context menu by right mouse click, its content depends on cursor position.
If you access context menu in the program window, it would look this way:

Synchronize Inspector - highlights corresponding image or page shape in the project inspector

Edit Comment - calls image comment editing window
All other items duplicate corresponding menu items and toolbar tools
-------------------------------------------------------
If you access context menu in the project inspector window, it would look this way:

Collapse All - collapse all pages
Expand All - expand all pages
Synchronize - highlights corresponding image or page shape in the program window
Edit Comment - calls image comment editing window
Delete Empty Pages - delete empty pages
-------------------------------------------------------
Image comment editing window looks this way:

Press button [image] to use macros described in Options -> Header and Footer -> Macro


Toolbars

You can use two toolbars in the program:
Standard Toolbar and Arranged & Layout Toolbar
Each of this toolbars is available from Menu
----------------------------------------------------------------------------
Standard Toolbar

1. Add Image - add image(s) to project
2. New project - create a new project
3. Open - open an existing project
4. Save - save project
5. Print - print
6. Add page - add new page to project (can't be used in AutoArrange mode)
7. Delete page - delete page (can't be used in AutoArrange mode)
8. Remove image from page - remove image from page, it is moved to Not Arranged page (can't be used in AutoArrange mode)
9. Remove image from project - remove image from project
10. Full screen - extend program window to all available visible screen area
11. Help - call help file
----------------------------------------------------------------------------
Arranged & Layout Toolbar

1. Arrange - call window Arrange
2. Auto Arrange mode - set mode of automatic image positioning on pages (amount of image for a page is set by calling window Arrange)
Tools 3 - 13 duplicate possibilities of aligning and mutual image positioning that can be found in the window Align and Distribute.
14. Page Layout - choice of possible page(s) layouts in the program window:

- Page Width - show page fitting it's width to the program window
- Whole Page - show whole page in the program window
- Two Pages - show two pages in the program window
- Three Pages - show three pages in the program window
- Four Pages - show four pages in the program window


Status Bar

In Status Bar is displayed additional information.

The first section contains source (original) size of selected image in pixels.
The second section contains coordinates of top left corner of selected image and its size in millimeters relatively pages.
The third section traces cursor position: page and coordinates on it.


Overview

Options Overview

Window Options is divided by bookmarks on four sections:

Page Setup - set page options for printer

Page Margins - set page margins

Header and Footer - set header and footer for all project pages

Image look - set look of image with framing and comment


Page Setup

Bookmark Page setup

Printer - choice of printer
Status - status of selected printer
Type - selected printer type
Comment - comment for current printer (if any)
Orientation - printing orientation: Portrait - horizontal, Landscape - vertical
Paper size - paper size for printer
Quality - printing quality in dpi
First page number - number on the first page


Page Margins

Bookmark Page Margins

Top: - top page margin
Bottom: - bottom page margin
Left: - left page margin
Right: - right page margin
Header: - space from top page edge to page header
Footer: - space from bottom page edge to page footer


Header and Footer

Bookmark Header and Footer

Header - page header
Footer - page footer
Macro - macro can be used as part of page header and footer

Page number - page number
Total pages - total amount of pages
Image name - image file name
Image size - image size
Image width - image width
Image height - image height
Plane - frame (layer) number in multipage image
Date - date
Time - time
Project name - project name

Font - select font for current header part


Image Look

Bookmark Image look

Shadow - set image shadow
Color - shadow color
DX - horizontal offset (negative value sets offset leftwards)
DY - vertical offset (negative value sets offset upwards)
------------------------------------------------------------------
Borders - set borders
Space from border - space from border to image
Vertical - vertical
Horizontal - horizontal
------------------------------------------------------------------
Lines - border lines
Type - line type
Color - line color
Width - line width


Overview

Shell Extension Overview

Shell extension adds additional features to context menu of Windows Explorer, Windows Commander, PowerDesk, iBrowser, etc.
Select one or several files in supported format or folder and the following features will be added to context menu:

  • if you right click on a single file the following will be added to context menu: a thumbnail preview of this file, information about file and submenu with commands for file processing;
  • if you right click on a folder group of files and folders the following will be added to context menu: submenu with commands for file processing;
  • if you click on thumbnail in context menu selected file will be opened in ImageEditor Plus;
  • if you click on command in menu batch processing - conversion or printing will start or settings window appear.


Shell Settings

You can change all settings of Shell Extension:

  • turn On or Off thumbnail preview of selected file in context menu, change thumbnail size and quality;
  • change maximum time for thumbnail creation (i.e. the program will try to create thumbnail and if creation would take more time then you specify it would stop), this feature is most useful at slow computers or when you are trying to view large files;
  • turn On or Off showing information about file (file name and file size in kb) and information about image (image width and height in pixels, color depth, number of frames);
  • add icon to system tray, this icon provides quick launch of ImageConverter Plus components;
  • change algorithm the program uses to define file format during batch conversion. Two algorithms are available: 1. extension analyzing - the program defines format by file extension, this method is very fast. 2. content analyzing - the program defines format by file content (signature), this method allows to recognize file without extension or with wrong extension.


System Requirements

System Requirement
  • Pentium or AMD-K6 processor;
  • 256 color graphic card;
  • 32 Mb of RAM;
  • 6 Mb of free hard drive space for program files;
  • Windows 95/98/NT4/2000/ME.


Supported Image Formats

Format | BPP (reads) | Compression (reads) | File extensions | Read/Write support
MS Windows Icon | 1, 4, 8, 16, 24, 32 | none | ico | R
MS Windows Cursor | 1, 4, 8, 16, 24, 32 | none | cur | R
MS Windows Animated Cursor | 1, 4, 8, 16, 24, 32 | none | ani | R
Windows Bitmap | 1, 4, 8, 16, 24, 32 | Run Length Encoding (RLE8, RLE4), none | bmp, dib, rle | R/W
Graphics Interchange Format | 1..8 | LZW | gif | R/W
Joint Photographic Experts Group Format | 8, 24, 32 | JPEG | jpeg, jpg, jpe | R/W
Kodak Photo CD |  | JPEG | pcd | R
ZSoft Paintbrush PCX | 1, 4, 8, 24 | Run Length Encoding (RLE), none | pcx, pcc | R/W
ZSoft Paintbrush DCX | 1, 4, 8, 24 | Run Length Encoding (RLE), none | dcx | R/W
Portable Network Graphics | 1, 2, 4, 8, 16, 24, 32 | ZIP DEFLATE | png | R/W
PPM | 24 | none | ppm | R/W
PBM | 1 | none | pbm | R/W
PGM | 8 | none | pgm | R/W
Truevision Targa | 8, 15, 16, 24, 32 | Run Length Encoding (RLE), none | tga | R/W
Tag Image File Format | 1, 8, 16, 24, 32, 64 | CCITT-RLE, CCITT-FAX3, CCITT-FAX4, LZW, JPEG, CCITT-RLEW, PACKBITS | tif, tiff | R/W
Wireless Bitmap (Level 0) | 1 | none | wbmp, wbm | R/W
Windows metafiles | - | none | wmf | R/W
Aldus Placeable metafiles | - | none | apm | R/W
Enhanced metafiles | - | none | emf | R/W
Adobe Photoshop Document | 1, 8, 16 bits per channel | Run Length Encoding (RLE), none | psd | R/W
GEM Bit Image | 1, 4, 8 | Run Length Encoding (RLE) | img | R
Amiga Interchange File | 1..8, 24 | Run Length Encoding (RLE) | iff | R
SUN Raster | 1, 4, 8, 24, 32 | none | ras | R
Silicon Graphics Image | 1..4, 8, 16, 24, 32 | Run Length Encoding (RLE), none | sgi | R
X-Windows bitmap | 1 | none | xbm | R
X-Windows pixmap | 8 | none | xpm | R
Word Perfect Graphics | - | Run Length Encoding (RLE), none | wpg | R


About fCoder Group

fCoder Group is a software company specializing in Windows-based applications for image processing, web design and hi-tech engineering. The company's mission is to provide customers with stable and reliable products at a reasonable price.

fCoder main line is photo manipulation software - image viewers, image converters, etc. Our graphics engine being developed and improved for three years became now a powerful tool that processes large images, batches of graphic files and even damaged files with great stability. Most fCoder photo tools have capability to process images in batch mode.

We would appreciate very much if you could e-mail us any suggestions concerning possible improvements to ImageConverter Plus and our other software. Your e-mails are welcome at support@fcodersoft.com.


fCoder Software
AutoGraphicsHTML

AutoGraphicsHTML uses simple wizard interface, which allows you to quickly prepare images for publishing on the World Wide Web.
The output is placed in a separate folder and consists of prepared images, created thumbnails and HTML files with hyperlinks from the thumbnails to the full-size images. The Web pages created can have various designs based on several styles provided with AutoGraphicsHTML. Read more...

PhotoMix

Now you can create wonderful collages yourself. Use our styles, or create your own. Read more...

GIFfyBatch

One of main problems for any web designer is to make his site user-friendly. Fast download time is one of the things visitors really appreciate. Now you can make your site lightweight with the GIFfyBatch and save money on traffic. Read more...

GIFfyCutter

GIFfyCutter simplifies web-designer's work with image maps. You can save considerable amount of time creating image maps and coding the corresponding HTML. Things, which are usually being done by several applications are united and simplified in GIFfyCutter. There is no need now to calculate sizes of parts, slice images using expensive monstrous software and spend time verifying image map HTML code - all this work is done with just a few mouse clicks. Read more...

BackFlip

Just specify any folder that contains images, independently whether it's on your hard drive, a CD-ROM, your local network or Internet. Tell BackFlip how often it should change your wallpaper (from once a second to once a year), and watch your screen come alive! Read more...

Batch Converters

If you need to convert many images 2JPEG, 2GIF, 2TIFF, 2Bitmap, 2PNG, 2TGA and 2WBMP are your types! Configure the BAT-file (or some BAT-files) once and let them do all your work! Read more...

RS-232 Spy

RS-232 Spy monitors all traffic from any device through RS-232 port. Read more...

Look RS-232 Pro

Look RS-232 Pro is a program for debugging external devices connected to the PC by means of RS-232 (COM Port). Look RS-232 Pro does this by providing means to monitor and sending serial data packets to and from the PC, allowing full duplex communication to the external device.
Look RS-232 Pro is a full 32-bit application and supports all RS-232 features. Read more...